Bug 1766947 - Links to repositories in content credentials are broken
Summary: Links to repositories in content credentials are broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.5.0
Hardware: All
OS: Linux
unspecified
high
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-30 10:45 UTC by Julio Entrena Perez
Modified: 2020-04-14 13:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:26:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27390 Normal Closed ContentCredential's Repository links use wrong id 2020-04-20 09:36:28 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:26:33 UTC

Description Julio Entrena Perez 2019-10-30 10:45:46 UTC
Description of problem:
The links to repositories in content credentials point to wrong or non-existent repositories

Version-Release number of selected component (if applicable):
Satellite 6.5.2.1.
Satellite 6.6 as well.

How reproducible:
Always

Steps to Reproduce:
1. Content -> Content Credentials -> choose a credential with a non-zero repository count -> Repositories tab 
2. Click on the links to repositories in the "Name" column
3.

Actual results:
Links to repositories point to incorrect or non-existent repositories

Expected results:
Links to repositories point to the correct repositories

Additional info:
Fixed by https://github.com/Katello/katello/commit/fce7665379e68d1dd96afc1fd05fcb5717e9cec6

Comment 3 Bryan Kearney 2019-11-04 19:17:48 UTC
Connecting redmine issue https://projects.theforeman.org/issues/27390 from this bug

Comment 4 Bryan Kearney 2019-11-05 20:29:05 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27390 has been resolved.

Comment 5 Lai 2020-01-07 15:00:35 UTC
Steps to test:

1. Create content credential: Content -> Content Credential -> Create Content Credential
2. Enter GPG Key and save.
3. Create a product: Content -> Products -> Create Product
4. Create custom repo in product created in step 3 with yum repo type and make sure to select the GPG Key created in step 1&2.
5. Sync repo
6. Content -> Content Credential -> select Created Content Credential -> Repositories and click on link in Name column

Expected Result:
Links to repositories point to the correct repositories.

Actual Result:
Links to repositories point to the correct repositories.

Tested on 6.7.0_07

Comment 8 errata-xmlrpc 2020-04-14 13:26:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.